# Operations

### Table of contents:

* `POST /operations/validate`
* `POST /operations/activate`

### Introduction <a href="#user-content-introduction" id="user-content-introduction"></a>

This API provides operations management functionalities.

### Operations <a href="#user-content-operations" id="user-content-operations"></a>

#### `POST /operations/validate` <a href="#user-content-post-operationsvalidate" id="user-content-post-operationsvalidate"></a>

Validate operation for a certain identity.

**Request Parameters**

**Path parameters**

| Name       |   Type   | Description       | Constraints                                                                            | Required |
| ---------- | :------: | ----------------- | -------------------------------------------------------------------------------------- | :------: |
| action     | `String` | Operation action. | Enum: \[`create`,`confirm`,`cancel`]                                                   |  `true`  |
| code       | `String` | Operation code.   | Enum: \[`deposit:wire`,`deposit:stablecoin`,`withdrawal:wire`,`withdrawal:stablecoin`] |  `true`  |
| identityId | `String` | Identity id.      |                                                                                        |  `true`  |

**Response Options**

**204 OK**

Request example:

```
POST <hostname>/operations/validate
```

Request example:

```
{
  "action": "create",
  "code": "deposit:wire",
  "identityId": "b0287254-df04-4793-8fbe-afa844150c91"
}
```

***

#### `POST /operations/activate` <a href="#user-content-post-operationsactivate" id="user-content-post-operationsactivate"></a>

Activate operation for a certain identity.

**Request Parameters**

**Path parameters**

| Name       |   Type   | Description     | Constraints                                                                            | Required |
| ---------- | :------: | --------------- | -------------------------------------------------------------------------------------- | :------: |
| code       | `String` | Operation code. | Enum: \[`deposit:wire`,`deposit:stablecoin`,`withdrawal:wire`,`withdrawal:stablecoin`] |  `true`  |
| identityId | `String` | Identity id.    |                                                                                        |  `true`  |

**Response Options**

**204 OK**

Request example:

```
POST <hostname>/operations/validate
```

Request example:

```
{
  "code": "deposit:wire",
  "identityId": "b0287254-df04-4793-8fbe-afa844150c91"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.publicmint.io/api/reference/operations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
